Subject: Re: bug#14242: vc-next-action with registered file [VC-mode with subversion 1.7.8]

From: Robert Goldman <[email-masked]>
Date: Mon, 22 Apr 2013 13:46:27 -0500

Glenn Morris wrote:
> David Reitter wrote:
> 
>>> ... but using vc-mode on nightlies with subversion repositories, I am
>>> getting an odd behavior where ^X-V-V (vc-next-action) on a registered
>>> file gives me an error message that the file is already registered.
> 
> Not reproducible on GNU/Linux with Emacs 24.3 and svn 1.7.9.
> 
>>> It looks to me like "svn status -v" with this version of subversion may
>>> generate something that vc-svn doesn't expect:
>>>
>>> [rpgoldman-3:~/org] rpg% svn status -v notes.org
>>>             21567    21567 rpgoldman    notes.org
>>> [rpgoldman-3:~/org] rpg% svn status notes.org
> 
> Looks totally normal to me. What's supposed to be odd?
> 
>>> GNU Emacs 24.3.50.3 (x86_64-apple-darwin10.8.0, NS apple-appkit-1038.36)
>>> of 2013-04-04 on asura.local - Aquamacs Distribution 3.xdev

The former shows what happens with -v which is, IIUC, how the latest
vc-svn invokes it.  The latter (empty) is what happens without -v.  I
thought I was seeing vc-svn failing to parse the verbose output with the
cryptic numbers, and mistakenly concluding that the file was not registered.

I am not seeing this 100% of the time, either.

But I just saw a related thing happening:  VC-mode accepted a commit
from me where there was no actual change in the file (the commit did not
go through to the svn repo).  Here before trying vc-next-action, I
checked svn status:

[rpgoldman-3:~/org] rpg% svn status -v todo.org
             21586    21586 rpgoldman    todo.org
[rpgoldman-3:~/org] rpg% svn status todo.org
[rpgoldman-3:~/org] rpg%

I *conjecture* that the fact that there was output from svn status is
what led vc-svn to think there was a modification and present me with
the log window to make a commit.

I confess to not understanding the innards of vc-svn that well...